/*
 * xtags - print C-file's indexes
 *
 * Program zaliczeniowy
 * Autor: Micha Moskal (nr albumu 129934)
 *
 * $Id: xtags.h,v 1.3 2000/10/24 22:52:12 malekith Exp $
 */

#include <string.h>
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>

extern int verbose;
extern int allow_plus_comments;		/* allow C++ style // comments */
extern int allow_plus_keywords;
extern int print_flags;

/* keyword.c */
int is_keyword(char*);
/* parser.c */
void parse(FILE *in, FILE *out, const char *name);

enum {
	t_func		= 0x0001,
	t_global	= 0x0002,
	t_keyword	= 0x0004,
	t_local		= 0x0008,
	t_cpp		= 0x0010
};
